keelwave
API ReferenceAgent

Fetch a single agent run by id

GET
/projects/{projectID}/agent/runs/{runID}

Authorization

ApiKeyAuth
Authorization<token>

Format: "Bearer kw_"

In: header

Path Parameters

projectID*string

Project UUID

runID*string

Agent run UUID

Query Parameters

at?string

RFC3339; if set, lookup is bounded to a 2s window for fast chunk pruning

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/projects/string/agent/runs/string"
{  "agent_name": "string",  "duration_ms": 0,  "finished_at": "string",  "id": "string",  "input": "string",  "loop_detected": true,  "loop_step_index": 0,  "metadata": [    0  ],  "output": "string",  "project_id": "string",  "status": "string",  "termination_reason": "string",  "timestamp": "string",  "total_cost_usd": 0,  "total_steps": 0,  "total_tokens": 0}